<mat-card class="mat-elevation-z0">
  <mat-toolbar color="primary"> Cursos Disponíveis </mat-toolbar>

  <div *ngIf="courses$ | async as courses; else loading">
    <mat-card-content>
      <table mat-table [dataSource]="courses" class="mat-elevation-z8">
        <!-- Name Column -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef class="name-column-width">Nome</th>
          <td mat-cell *matCellDef="let course">{{ course.name }}</td>
        </ng-container>

        <!-- Category Column -->
        <ng-container matColumnDef="category">
          <th mat-header-cell *matHeaderCellDef>Categoria</th>
          <td mat-cell *matCellDef="let course"> {{ course.category | titlecase }}
            <mat-icon aria-hidden="false" aria-label="Category icon" class="icon-pos"> {{course.category | category}}</mat-icon>
          </td>
        </ng-container>

        <!-- Actions Column -->
        <ng-container matColumnDef="actions">
          <mat-header-cell *matHeaderCellDef class="spacing action-gui">
            <button mat-mini-fab color="accent" aria-label="Adicionar novo curso" class="btn-pos mat-elevation-z0">
              <mat-icon (click)="onAdd()">add</mat-icon>
            </button>
          </mat-header-cell>

          <mat-cell *matCellDef="let course" class="action-gui">
            <button mat-icon-button color="primary" aria-label="Editar curso">
              <mat-icon (click)="onEdit(course)">edit</mat-icon>
            </button>

            <button mat-icon-button color="warn" aria-label="Deletar curso">
              <mat-icon (click)="onDelete(course)">delete</mat-icon>
            </button>
          </mat-cell>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
      </table>
    </mat-card-content>
  </div>

  <ng-template #loading>
    <br>
    <div class="item">
      <ngx-skeleton-loader count="5" appearance="line"></ngx-skeleton-loader>
    </div>
    <!--div class="loading-spinner">
      <mat-progress-spinner mode="indeterminate" color="primary"></mat-progress-spinner>
    </!--div-->
  </ng-template>

</mat-card>
